The Spring Framework

## org.springframework.core.type.classreading
Interface MetadataReader

    public interface MetadataReader

Simple facade for accessing class metadata, as read by an ASM `ClassReader`.

Since:
  2.5
Author:
  Juergen Hoeller

Method Summary
`AnnotationMetadata` `getAnnotationMetadata()` Read full annotation metadata for the underlying class.
`ClassMetadata` `getClassMetadata()` Read basic class metadata for the underlying class.

Method Detail

### getClassMetadata

    ClassMetadata getClassMetadata()

  Read basic class metadata for the underlying class.

### getAnnotationMetadata

    AnnotationMetadata getAnnotationMetadata()

  Read full annotation metadata for the underlying class.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.